Package org.eclipse.rdf4j.model.base

## Enum CoreDatatype.RDF

- java.lang.Object
- - java.lang.Enum<CoreDatatype.RDF>
  - - org.eclipse.rdf4j.model.base.CoreDatatype.RDF

- All Implemented Interfaces:
    `Serializable`, `Comparable<CoreDatatype.RDF>`, `CoreDatatype`
  Enclosing interface:
    CoreDatatype

      public static enum CoreDatatype.RDF
      extends Enum<CoreDatatype.RDF>
      implements CoreDatatype

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.rdf4j.model.base.CoreDatatype

      `CoreDatatype.GEO, CoreDatatype.RDF, CoreDatatype.XSD`

  - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `HTML` |
    `LANGSTRING` |
    `XMLLITERAL` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `NAMESPACE` |

    - ### Fields inherited from interface org.eclipse.rdf4j.model.base.CoreDatatype

      `NONE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Optional<CoreDatatype.RDF>` | `asRDFDatatype()` |
    `IRI` | `getIri()` |
    `boolean` | `isRDFDatatype()` |
    `String` | `toString()` |
    `static CoreDatatype.RDF` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static CoreDatatype.RDF[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.model.base.CoreDatatype

      `asGEODatatype, asXSDDatatype, isGEODatatype, isXSDDatatype`

- - ### Enum Constant Detail

    - #### HTML

          public static final CoreDatatype.RDF HTML

    - #### XMLLITERAL

          public static final CoreDatatype.RDF XMLLITERAL

    - #### LANGSTRING

          public static final CoreDatatype.RDF LANGSTRING

  - ### Field Detail

    - #### NAMESPACE

          public static final String NAMESPACE

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### values

          public static CoreDatatype.RDF[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CoreDatatype.RDF c : CoreDatatype.RDF.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CoreDatatype.RDF valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### isRDFDatatype

          public boolean isRDFDatatype()

      Specified by:
        `isRDFDatatype` in interface `CoreDatatype`

    - #### getIri

          public IRI getIri()

      Specified by:
        `getIri` in interface `CoreDatatype`

    - #### asRDFDatatype

          public Optional<CoreDatatype.RDF> asRDFDatatype()

      Specified by:
        `asRDFDatatype` in interface `CoreDatatype`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<CoreDatatype.RDF>`